Subject: Ticket Assigned - Product information
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jun 2022 16:10:59 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information I Order for 3 pieces of briefs and when I receive the delivery there is only 2 pieces, 1 pieces are missing and the products are what I received from you it’s tied with your security things I don’t have anything to open this 

I call many times in the toll free number but no answer 

So please do the needful 

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4529187